import request from '@/plugins/request/system';
/**
 * 获取模板列表
 * @param data
 * @constructor
 */
export function  SystemShowTemplateList(data = {}) {
  return request({
    url: '/systemv1/showTemplate/list',
    method: 'post',
    data : data
  });
}
/**
 * 添加编辑模板信息
 * @param data
 * @constructor
 */
export function  SystemShowTemplateAdd(data = {}) {
  return request({
    url: '/systemv1/showTemplate/add',
    method: 'post',
    data : data
  });
}




/**
 * 获取广告分类
 * @param data
 * @constructor
 */
export function  SystemServiceType(data = {}) {
  return request({
    url: '/systemv1/showTemplate/serviceType',
    method: 'post',
    data : data
  });
}
/**
 * 添加编辑分类
 * @param data
 * @constructor
 */
export function  SystemServiceTypeAdd(data = {}) {
  return request({
    url: '/systemv1/showTemplate/serviceTypeAdd',
    method: 'post',
    data : data
  });
}

/**
 * 删除分类
 * @param data
 * @constructor
 */
export function  SystemServiceTypeDel(data = {}) {
  return request({
    url: '/systemv1/showTemplate/serviceTypeDel',
    method: 'post',
    data : data
  });
}




/**
 * 获取收费时长类型
 * @param data
 * @constructor
 */
export function  SystemServiceTimeType(data = {}) {
  return request({
    url: '/systemv1/showTemplate/serviceTimeType',
    method: 'post',
    data : data
  });
}
/**
 * 添加编辑收费时长类型
 * @param data
 * @constructor
 */
export function  SystemServiceTimeTypeAdd(data = {}) {
  return request({
    url: '/systemv1/showTemplate/serviceTimeTypeAdd',
    method: 'post',
    data : data
  });
}

/**
 * 删除收费时长类型
 * @param data
 * @constructor
 */
export function  SystemServiceTimeTypeDel(data = {}) {
  return request({
    url: '/systemv1/showTemplate/serviceTimeTypeDel',
    method: 'post',
    data : data
  });
}